Skip to navigation

Apply a fieldset to the schema

Beta
Apply a fieldset to the schema

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

oligo_duplex_schema_idstringRequired
ID of the OligoDuplexSchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
fieldsetIdstringRequired
The API ID of the fieldset to apply to the schema. The fieldset must exist and be accessible.
acknowledgeWarningsbooleanOptional
If false, operation will only commit if there are no warnings in the output. If true, operation will commit even if there are warnings.

Response

Task started
pollingUristringOptionalformat: "uri"
taskIdstringOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error